<?php declare(strict_types=1);

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Camera.flash
 */
#[ORM\Table(name: 'flash', schema: 'camera')]
#[ORM\Entity]
class Flash
{
    use FlashTrait;

    #[ORM\Column(name: 'id', type: 'integer', nullable: false)]
    #[ORM\Id]
    #[ORM\GeneratedValue(strategy: 'IDENTITY')]
    #[ORM\SequenceGenerator(sequenceName: 'camera.flash_id_seq', allocationSize: 1, initialValue: 1)]
    private int $id;

    #[ORM\Column(name: 'received', type: 'boolean', nullable: false, options: ['default' => false])]
    private bool $received = false;

    #[ORM\Column(name: 'formerly_owned', type: 'boolean', nullable: false, options: ['default' => false])]
    private bool $formerlyOwned = false;
}
