<?php declare(strict_types=1);

namespace App\Form;

use App\Entity\Camera;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\Extension\Core\Type\MoneyType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\Exception\AccessException;

use Symfony\Component\OptionsResolver\OptionsResolver;

class CameraType extends AbstractType
{
    /**
     * {@inheritDoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder->add('brand')
            ->add('type')
            ->add('isDigital')
            ->add('mount')
            ->add('model')
            ->add('filmFormat', ChoiceType::class, [
                'choices' => [
                    'Small Format' => [
                        '35mm' => '135',
                        '110'  => '110',
                    ],
                    'Medium Format' => [
                        '120' => '120',
                        '127' => '127',
                        '620' => '620',
                    ],
                ],
            ])
            ->add('cropFactor')
            ->add('serial')
            ->add('purchasePrice', MoneyType::class, [
                'currency' => 'USD',
            ])
            ->add('batteryType')
            ->add('received')
            ->add('isWorking')
            ->add('formerlyOwned')
            ->add('notes');
    }

    /**
     * {@inheritDoc}
     *
     * @throws AccessException
     */
    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Camera::class,
        ]);
    }

    /**
     * {@inheritDoc}
     */
    public function getBlockPrefix(): string
    {
        return 'camerabundle_camera';
    }
}
