<?php declare(strict_types=1);

namespace App\Form;

use App\Entity\PreviouslyOwnedFlash;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\Exception\AccessException;

use Symfony\Component\OptionsResolver\OptionsResolver;

class PreviouslyOwnedFlashType extends AbstractType
{
    /**
     * {@inheritDoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('brand')
            ->add('model')
            ->add('isAutoFlash')
            ->add('isTtl')
            ->add('ttlType')
            ->add('isPTtl')
            ->add('pTtlType')
            ->add('guideNumber')
            ->add('purchasePrice')
            ->add('batteries')
            ->add('notes')
            ->add('serial')
            ->add('received')
            ->add('formerlyOwned');
    }

    /**
     * {@inheritDoc}
     *
     * @throws AccessException
     */
    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => PreviouslyOwnedFlash::class,
        ]);
    }

    /**
     * {@inheritDoc}
     */
    public function getBlockPrefix(): string
    {
        return 'camerabundle_previouslyownedflash';
    }
}
