<?php declare(strict_types=1);

namespace App\Repository;

use App\Entity\Camera;
use App\Entity\PreviouslyOwnedCamera;
use Doctrine\ORM\EntityRepository;
use Doctrine\ORM\ORMInvalidArgumentException;

class CameraRepository extends EntityRepository
{
    use AcquireTrait;

    /**
     * @throws ORMInvalidArgumentException
     */
    public function deacquire(Camera $currentRecord): void
    {
        $currentRecord->setFormerlyOwned(true)
            ->setReceived(true);

        $this->moveRecord($currentRecord, new PreviouslyOwnedCamera());
    }

    /**
     * @throws ORMInvalidArgumentException
     */
    public function reacquire(PreviouslyOwnedCamera $currentRecord): void
    {
        $currentRecord->setFormerlyOwned(false);

        $this->moveRecord($currentRecord, new Camera());
    }
}
