<?php declare(strict_types=1);

namespace App\Repository;

use App\Entity\Flash;
use App\Entity\PreviouslyOwnedFlash;
use Doctrine\ORM\EntityRepository;
use Doctrine\ORM\ORMInvalidArgumentException;

class FlashRepository extends EntityRepository
{
    use AcquireTrait;

    /**
     * @throws ORMInvalidArgumentException
     */
    public function deacquire(Flash $currentRecord): void
    {
        $currentRecord->setFormerlyOwned(true)
            ->setReceived(true);

        $this->moveRecord($currentRecord, new PreviouslyOwnedFlash());
    }

    /**
     * @throws ORMInvalidArgumentException
     */
    public function reacquire(PreviouslyOwnedFlash $currentRecord): void
    {
        $currentRecord->setFormerlyOwned(false);

        $this->moveRecord($currentRecord, new Flash());
    }
}
