<?php declare(strict_types=1);

namespace App\Repository;

use App\Entity\Lenses;
use App\Entity\PreviouslyOwnedLenses;
use Doctrine\ORM\EntityRepository;

class LensesRepository extends EntityRepository
{
    use AcquireTrait;

    public function deacquire(Lenses $currentRecord): void
    {
        $currentRecord->setFormerlyOwned(true)
            ->setReceived(true);

        $this->moveRecord($currentRecord, new PreviouslyOwnedLenses());
    }

    public function reacquire(PreviouslyOwnedLenses $currentRecord): void
    {
        $currentRecord->setFormerlyOwned(false);

        $this->moveRecord($currentRecord, new Lenses());
    }
}
