<?php declare(strict_types=1);

use PhpCsFixer\Fixer\Strict\DeclareStrictTypesFixer;
use Rector\Core\Configuration\Option;
use Symfony\Component\DependencyInjection\Loader\Configurator\ContainerConfigurator;

require_once __DIR__ . '/common.inc.php';

return static function (ContainerConfigurator $config): void {
    $parameters = $config->parameters();
    $services   = $config->services();

    walk_array([$services, 'set'], [
        DeclareStrictTypesFixer::class,
    ]);

    $parameters->set(Option::PARALLEL, true);
    $parameters->set(Option::PATHS, [__DIR__ . '/../src', __DIR__]);
};
